=== debian/changelog ===
invada-studio-plugins (0.3.1-7) unstable; urgency=medium

  * Team upload.
  * Use new team address.

 -- Bastian Germann <bage@debian.org>  Wed, 11 Oct 2023 23:14:13 +0200

invada-studio-plugins (0.3.1-6) unstable; urgency=medium

  * Team upload.
  * Modernize packaging:
    + debhelper compat v13.
    + Standards-Version 4.6.1.
  * debian/control: Use salsa git packaging repo.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Oct 2022 16:33:15 -0400

invada-studio-plugins (0.3.1-5) unstable; urgency=medium

  * Fix FTCBFS: Override gcc set in LD. (Closes: #882972)
  * Remove trailing-whitespaces.
  * Bump Standards.
  * Vcs - use git instead of cgit.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Nov 2017 12:07:27 +0100

invada-studio-plugins (0.3.1-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Fix VCS fields.
  * Bump Standards.
  * Fix hardening.
  * Sign tags.
  * Avoid useless linking.
  * Update copyright.
  * Add local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Dec 2016 19:01:10 +0100

invada-studio-plugins (0.3.1-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Set compat/dh 9.
  * Bump Standards.
  * Removed obsolete DMUA.
  * Update VCS urls.
  * Added patch to pass flags correctly.
  * Patches forwarded.

  [ Felipe Sateler ]
  * do not use _init and _fini but instead {con,de}structor attributes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 04 Mar 2014 16:01:54 +0100

invada-studio-plugins (0.3.1-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Bump Standards
  * Copyright switched to rev. 204
  * Switched to debhelper short
  * Fixed watch file

  [ Alessio Treglia ]
  * Update Standards to 3.9.3.
  * Update debian/copyright to 1.0 format.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Feb 2012 02:13:51 +0100

invada-studio-plugins (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #540042)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 05 Aug 2009 05:33:07 +0200
