=== debian/control ===
Source: invada-studio-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 13),
 fakeroot,
 ladspa-sdk (>= 1.1),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/invada-studio/+download
Vcs-Git: https://salsa.debian.org/multimedia-team/invada-studio-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/invada-studio-plugins

Package: invada-studio-plugins-ladspa
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ladspa-plugin,
Suggests:
 ardour,
 hydrogen,
 jack-rack,
 muse,
 rosegarden,
Description: Invada Studio Plugins - a set of LADSPA audio plugins
 Utility Plugins
   Input Module (Stereo only)
 Alter gain, balance, width, phase on a stereo signal
 .
 Filter Plugins
   Low Pass (Mono and Stereo version)
   High Pass (Mono and Stereo version)
 Gentle high pass and low pass filters
 .
 Simulation Plugins
   Tube - (Mono and Stereo version)
 Valve warmth/distortion simulation
 .
 Dynamics Plugins
   Compressor - (Mono and Stereo version)
 Peak/RMS soft-clipping compressor
 .
 Reverb Plugins
   ER Reverb - (Mono and Stereo summing In)
 Early reflection based reverb.
