=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'LD=$$(CC)'

override_dh_auto_install:
	$(MAKE) install INSTALL_PLUGINS_DIR=$(CURDIR)/debian/invada-studio-plugins-ladspa/usr/lib/ladspa INSTALL_LRDF_DIR=$(CURDIR)/debian/invada-studio-plugins-ladspa/usr/share/ladspa/rdf
