=== debian/watch ===
version=3

https://launchpad.net/invada-studio/+download/ \
https://launchpad.net/invada-studio/ladspa/\d\.\d/\+download/invada-studio-plugins_(.*)-nopkg.tar.gz
